# Namespace org.accordproject.calendar@0.2.0

## Overview
- 0 concepts
- 0 enumerations
- 8 assets
- 0 participants
- 0 transactions
- 0 events
- 8 total declarations

## Imports
- org.accordproject.time@0.3.0.Duration
- org.accordproject.geo@0.2.0.GeoCoordinates
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.calendar@0.2.0.CalendarComponent` {
<< asset>>
   + `String` `uid`
}

class `org.accordproject.calendar@0.2.0.UniqueComponent` {
<< asset>>
   + `String[]` `attendee`
   + `String[]` `comment`
   + `DateTime` `dtstamp`
   + `String` `organizer`
   + `String[]` `requestStatuses`
   + `String` `url`
}

`org.accordproject.calendar@0.2.0.UniqueComponent` --|> `org.accordproject.calendar@0.2.0.CalendarComponent`
class `org.accordproject.calendar@0.2.0.RecurringComponent` {
<< asset>>
   + `String[]` `attachements`
   + `String[]` `categories`
   + `String` `classType`
   + `String[]` `contacts`
   + `DateTime` `created`
   + `String` `description`
   + `DateTime` `lastModified`
   + `Integer` `priority`
   + `String[]` `related`
   + `Integer` `sequence`
   + `String` `summary`
}

`org.accordproject.calendar@0.2.0.RecurringComponent` --|> `org.accordproject.calendar@0.2.0.UniqueComponent`
class `org.accordproject.calendar@0.2.0.VAlarm` {
<< asset>>
   + `String` `alarmAction`
   + `String` `attachment`
   + `String[]` `attendees`
   + `String` `description`
   + `Duration` `duration`
   + `Integer` `repeat`
   + `String` `summary`
}

`org.accordproject.calendar@0.2.0.VAlarm` "1" *-- "1" `org.accordproject.time@0.3.0.Duration`
`org.accordproject.calendar@0.2.0.VAlarm` --|> `org.accordproject.calendar@0.2.0.CalendarComponent`
class `org.accordproject.calendar@0.2.0.VEvent` {
<< asset>>
   + `DateTime` `dtend`
   + `Duration` `duration`
   + `DateTime` `end`
   + `Boolean` `isAllDay`
   + `GeoCoordinates` `geo`
   + `String` `location`
   + `String[]` `resources`
   + `String` `transparency`
   + `Boolean` `isActive`
}

`org.accordproject.calendar@0.2.0.VEvent` "1" *-- "1" `org.accordproject.time@0.3.0.Duration`
`org.accordproject.calendar@0.2.0.VEvent` "1" *-- "1" `org.accordproject.geo@0.2.0.GeoCoordinates`
`org.accordproject.calendar@0.2.0.VEvent` --|> `org.accordproject.calendar@0.2.0.RecurringComponent`
class `org.accordproject.calendar@0.2.0.VFreebusy` {
<< asset>>
   + `DateTime` `dtstart`
   + `DateTime` `dtend`
   + `DateTime` `start`
   + `DateTime` `end`
}

`org.accordproject.calendar@0.2.0.VFreebusy` --|> `org.accordproject.calendar@0.2.0.UniqueComponent`
class `org.accordproject.calendar@0.2.0.VJournal`
<< asset>> `org.accordproject.calendar@0.2.0.VJournal`

`org.accordproject.calendar@0.2.0.VJournal` --|> `org.accordproject.calendar@0.2.0.RecurringComponent`
class `org.accordproject.calendar@0.2.0.VTodo` {
<< asset>>
   + `DateTime` `completed`
   + `DateTime` `due`
   + `Duration` `duration`
   + `GeoCoordinates` `geo`
   + `String` `location`
   + `Integer` `percentComplete`
   + `String[]` `resources`
   + `String` `todo`
}

`org.accordproject.calendar@0.2.0.VTodo` "1" *-- "1" `org.accordproject.time@0.3.0.Duration`
`org.accordproject.calendar@0.2.0.VTodo` "1" *-- "1" `org.accordproject.geo@0.2.0.GeoCoordinates`
`org.accordproject.calendar@0.2.0.VTodo` --|> `org.accordproject.calendar@0.2.0.RecurringComponent`
```

# Namespace org.accordproject.time@0.3.0

## Overview
- 2 concepts
- 4 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 6 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.time@0.3.0.Month` {
<< enumeration>>
   + `January`
   + `February`
   + `March`
   + `April`
   + `May`
   + `June`
   + `July`
   + `August`
   + `September`
   + `October`
   + `November`
   + `December`
}

class `org.accordproject.time@0.3.0.Day` {
<< enumeration>>
   + `Monday`
   + `Tuesday`
   + `Wednesday`
   + `Thursday`
   + `Friday`
   + `Saturday`
   + `Sunday`
}

class `org.accordproject.time@0.3.0.TemporalUnit` {
<< enumeration>>
   + `seconds`
   + `minutes`
   + `hours`
   + `days`
   + `weeks`
}

class `org.accordproject.time@0.3.0.Duration` {
<< concept>>
   + `Long` `amount`
   + `TemporalUnit` `unit`
}

`org.accordproject.time@0.3.0.Duration` "1" *-- "1" `org.accordproject.time@0.3.0.TemporalUnit`
class `org.accordproject.time@0.3.0.PeriodUnit` {
<< enumeration>>
   + `days`
   + `weeks`
   + `months`
   + `quarters`
   + `years`
}

class `org.accordproject.time@0.3.0.Period` {
<< concept>>
   + `Long` `amount`
   + `PeriodUnit` `unit`
}

`org.accordproject.time@0.3.0.Period` "1" *-- "1" `org.accordproject.time@0.3.0.PeriodUnit`
```

# Namespace org.accordproject.address@0.2.0

## Overview
- 1 concepts
- 0 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 1 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.address@0.2.0.PostalAddress` {
<< concept>>
   + `String` `streetAddress`
   + `String` `postalCode`
   + `String` `postOfficeBoxNumber`
   + `String` `addressRegion`
   + `String` `addressLocality`
   + `String` `addressCountry`
}

```

# Namespace org.accordproject.geo@0.2.0

## Overview
- 3 concepts
- 1 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 4 total declarations

## Imports
- org.accordproject.address@0.2.0.PostalAddress
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.geo@0.2.0.GeoCoordinates` {
<< concept>>
   + `PostalAddress` `address`
   + `String` `addressCountry`
   + `Double` `elevation`
   + `Double` `latitude`
   + `Double` `longitude`
}

`org.accordproject.geo@0.2.0.GeoCoordinates` "1" *-- "1" `org.accordproject.address@0.2.0.PostalAddress`
class `org.accordproject.geo@0.2.0.Place` {
<< concept>>
   + `PostalAddress` `address`
   + `String` `branchCode`
   + `String` `faxNumber`
   + `GeoCoordinates` `geo`
   + `String` `globalLocationNumber`
   + `String` `mapUrl`
   + `String` `isicsV4`
   + `String` `telephone`
}

`org.accordproject.geo@0.2.0.Place` "1" *-- "1" `org.accordproject.address@0.2.0.PostalAddress`
`org.accordproject.geo@0.2.0.Place` "1" *-- "1" `org.accordproject.geo@0.2.0.GeoCoordinates`
class `org.accordproject.geo@0.2.0.Country` {
<< concept>>
   + `String` `name`
   + `CountryCodeISOAlpha2` `optional`
}

`org.accordproject.geo@0.2.0.Country` "1" *-- "1" `org.accordproject.geo@0.2.0.CountryCodeISOAlpha2`
class `org.accordproject.geo@0.2.0.CountryCodeISOAlpha2` {
<< enumeration>>
   + `AD`
   + `AE`
   + `AF`
   + `AG`
   + `AI`
   + `AL`
   + `AM`
   + `AO`
   + `AQ`
   + `AR`
   + `AS`
   + `AT`
   + `AU`
   + `AW`
   + `AX`
   + `AZ`
   + `BA`
   + `BB`
   + `BD`
   + `BE`
   + `BF`
   + `BG`
   + `BH`
   + `BI`
   + `BJ`
   + `BL`
   + `BM`
   + `BN`
   + `BO`
   + `BQ`
   + `BR`
   + `BS`
   + `BT`
   + `BV`
   + `BW`
   + `BY`
   + `BZ`
   + `CA`
   + `CC`
   + `CD`
   + `CF`
   + `CG`
   + `CH`
   + `CI`
   + `CK`
   + `CL`
   + `CM`
   + `CN`
   + `CO`
   + `CR`
   + `CU`
   + `CV`
   + `CW`
   + `CX`
   + `CY`
   + `CZ`
   + `DE`
   + `DJ`
   + `DK`
   + `DM`
   + `DO`
   + `DZ`
   + `EC`
   + `EE`
   + `EG`
   + `EH`
   + `ER`
   + `ES`
   + `ET`
   + `FI`
   + `FJ`
   + `FK`
   + `FM`
   + `FO`
   + `FR`
   + `GA`
   + `GB`
   + `GD`
   + `GE`
   + `GF`
   + `GG`
   + `GH`
   + `GI`
   + `GL`
   + `GM`
   + `GN`
   + `GP`
   + `GQ`
   + `GR`
   + `GS`
   + `GT`
   + `GU`
   + `GW`
   + `GY`
   + `HK`
   + `HM`
   + `HN`
   + `HR`
   + `HT`
   + `HU`
   + `ID`
   + `IE`
   + `IL`
   + `IM`
   + `IN`
   + `IO`
   + `IQ`
   + `IR`
   + `IS`
   + `IT`
   + `JE`
   + `JM`
   + `JO`
   + `JP`
   + `KE`
   + `KG`
   + `KH`
   + `KI`
   + `KM`
   + `KN`
   + `KP`
   + `KR`
   + `KW`
   + `KY`
   + `KZ`
   + `LA`
   + `LB`
   + `LC`
   + `LI`
   + `LK`
   + `LR`
   + `LS`
   + `LT`
   + `LU`
   + `LV`
   + `LY`
   + `MA`
   + `MC`
   + `MD`
   + `ME`
   + `MF`
   + `MG`
   + `MH`
   + `MK`
   + `ML`
   + `MM`
   + `MN`
   + `MO`
   + `MP`
   + `MQ`
   + `MR`
   + `MS`
   + `MT`
   + `MU`
   + `MV`
   + `MW`
   + `MX`
   + `MY`
   + `MZ`
   + `NA`
   + `NC`
   + `NE`
   + `NF`
   + `NG`
   + `NI`
   + `NL`
   + `NO`
   + `NP`
   + `NR`
   + `NU`
   + `NZ`
   + `OM`
   + `PA`
   + `PE`
   + `PF`
   + `PG`
   + `PH`
   + `PK`
   + `PL`
   + `PM`
   + `PN`
   + `PR`
   + `PS`
   + `PT`
   + `PW`
   + `PY`
   + `QA`
   + `RE`
   + `RO`
   + `RS`
   + `RU`
   + `RW`
   + `SA`
   + `SB`
   + `SC`
   + `SD`
   + `SE`
   + `SG`
   + `SH`
   + `SI`
   + `SJ`
   + `SK`
   + `SL`
   + `SM`
   + `SN`
   + `SO`
   + `SR`
   + `SS`
   + `ST`
   + `SV`
   + `SX`
   + `SY`
   + `SZ`
   + `TC`
   + `TD`
   + `TF`
   + `TG`
   + `TH`
   + `TJ`
   + `TK`
   + `TL`
   + `TM`
   + `TN`
   + `TO`
   + `TR`
   + `TT`
   + `TV`
   + `TW`
   + `TZ`
   + `UA`
   + `UG`
   + `UM`
   + `US`
   + `UY`
   + `UZ`
   + `VA`
   + `VC`
   + `VE`
   + `VG`
   + `VI`
   + `VN`
   + `VU`
   + `WF`
   + `WS`
   + `YE`
   + `YT`
   + `ZA`
   + `ZM`
   + `ZW`
}

```

